Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.spi
Class AuditAtnEventV2.AtnEventTypeV2

    java.lang.Object
      |
      +--weblogic.security.spi.AuditAtnEventV2.AtnEventTypeV2

public static class AuditAtnEventV2.AtnEventTypeV2
extends java.lang.Object

The `AtnEventType` class describes the authentication event types that are supported.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static AuditAtnEventV2.AtnEventTypeV2` | `ASSERTIDENTITY` Represents the "identity assertion" authentication type.
`static AuditAtnEventV2.AtnEventTypeV2` | `AUTHENTICATE` Represents the "simple authentication" authentication type.
`static AuditAtnEventV2.AtnEventTypeV2` | `IMPERSONATEIDENTITY` Represents the "impersonate identity" authentication type.
`static AuditAtnEventV2.AtnEventTypeV2` | `USERLOCKED` Indicates that a user has been locked because of invalid login attempts.
`static AuditAtnEventV2.AtnEventTypeV2` | `USERLOCKOUTEXPIRED` Indicates that a lock on a user has expired.
`static AuditAtnEventV2.AtnEventTypeV2` | `USERUNLOCKED` Indicates that a lock on a user has been cleared.
`static AuditAtnEventV2.AtnEventTypeV2` | `VALIDATEIDENTITY` Represents the "validate identity" authentication type.

Method Summary
`java.lang.String` | `toString()` Returns the event type associated with this `AuditAtnEvent`, represented as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUTHENTICATE

    public static final AuditAtnEventV2.AtnEventTypeV2 AUTHENTICATE

  Represents the "simple authentication" authentication type.

### ASSERTIDENTITY

    public static final AuditAtnEventV2.AtnEventTypeV2 ASSERTIDENTITY

  Represents the "identity assertion" authentication type.

### IMPERSONATEIDENTITY

    public static final AuditAtnEventV2.AtnEventTypeV2 IMPERSONATEIDENTITY

  Represents the "impersonate identity" authentication type.

### VALIDATEIDENTITY

    public static final AuditAtnEventV2.AtnEventTypeV2 VALIDATEIDENTITY

  Represents the "validate identity" authentication type.

### USERLOCKED

    public static final AuditAtnEventV2.AtnEventTypeV2 USERLOCKED

  Indicates that a user has been locked because of invalid login attempts.

### USERUNLOCKED

    public static final AuditAtnEventV2.AtnEventTypeV2 USERUNLOCKED

  Indicates that a lock on a user has been cleared.

### USERLOCKOUTEXPIRED

    public static final AuditAtnEventV2.AtnEventTypeV2 USERLOCKOUTEXPIRED

  Indicates that a lock on a user has expired.

Method Detail

### toString

    public java.lang.String toString()

  Returns the event type associated with this `AuditAtnEvent`, represented as a String.

  Returns:
    this event type, represented as a String.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD